"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _utils = require("../../utils");

var _widgetsCheckboxWidget = require("./../widgets/CheckboxWidget");

var _widgetsCheckboxWidget2 = _interopRequireDefault(_widgetsCheckboxWidget);

function BooleanField(_ref) {
  var schema = _ref.schema;
  var formData = _ref.formData;
  var required = _ref.required;
  var onChange = _ref.onChange;
  var title = schema.title;
  var description = schema.description;

  var commonProps = {
    type: schema.type,
    onChange: onChange,
    label: title,
    placeholder: description,
    defaultValue: schema["default"],
    value: (0, _utils.defaultFieldValue)(formData, schema),
    required: required
  };
  // XXX handle uiSchema.widget here
  return _react2["default"].createElement(_widgetsCheckboxWidget2["default"], commonProps);
}

BooleanField.propTypes = {
  schema: _react.PropTypes.object.isRequired,
  onChange: _react.PropTypes.func.isRequired,
  formData: _react.PropTypes.bool,
  required: _react.PropTypes.bool
};

exports["default"] = BooleanField;
module.exports = exports["default"];