"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _utils = require("../../utils");

var _widgetsTextWidget = require("./../widgets/TextWidget");

var _widgetsTextWidget2 = _interopRequireDefault(_widgetsTextWidget);

var _widgetsSelectWidget = require("./../widgets/SelectWidget");

var _widgetsSelectWidget2 = _interopRequireDefault(_widgetsSelectWidget);

function StringField(_ref) {
  var schema = _ref.schema;
  var formData = _ref.formData;
  var required = _ref.required;
  var onChange = _ref.onChange;
  var type = schema.type;
  var title = schema.title;
  var description = schema.description;

  var commonProps = {
    type: type,
    label: title,
    placeholder: description,
    onChange: onChange,
    value: (0, _utils.defaultFieldValue)(formData, schema),
    required: required,
    defaultValue: schema["default"]
  };
  if (Array.isArray(schema["enum"])) {
    // XXX uiSchema: Could also be a list of radio buttons
    return _react2["default"].createElement(_widgetsSelectWidget2["default"], _extends({ options: schema["enum"] }, commonProps));
  }
  // XXX uiSchema: Could also be a textarea for longer texts
  return _react2["default"].createElement(_widgetsTextWidget2["default"], commonProps);
}

StringField.propTypes = {
  schema: _react.PropTypes.object.isRequired,
  onChange: _react.PropTypes.func.isRequired,
  formData: _react.PropTypes.string,
  required: _react.PropTypes.bool
};

exports["default"] = StringField;
module.exports = exports["default"];