"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _widgetsWrapper = require("./../widgets/Wrapper");

var _widgetsWrapper2 = _interopRequireDefault(_widgetsWrapper);

function SelectWidget(_ref) {
  var type = _ref.type;
  var options = _ref.options;
  var label = _ref.label;
  var placeholder = _ref.placeholder;
  var value = _ref.value;
  var defaultValue = _ref.defaultValue;
  var required = _ref.required;
  var onChange = _ref.onChange;

  return _react2["default"].createElement(
    _widgetsWrapper2["default"],
    { label: label, required: required, type: type },
    _react2["default"].createElement(
      "select",
      {
        title: placeholder,
        value: value,
        defaultValue: defaultValue,
        onChange: function (event) {
          return onChange(event.target.value);
        } },
      options.map(function (option, i) {
        return _react2["default"].createElement(
          "option",
          { key: i },
          option
        );
      })
    )
  );
}

SelectWidget.propTypes = {
  type: _react.PropTypes.string.isRequired,
  options: _react.PropTypes.array.isRequired,
  label: _react.PropTypes.string,
  placeholder: _react.PropTypes.string,
  value: _react.PropTypes.any,
  defaultValue: _react.PropTypes.any,
  required: _react.PropTypes.bool,
  onChange: _react.PropTypes.func
};

exports["default"] = SelectWidget;
module.exports = exports["default"];